# Uses of Interface
org.opensaml.soap.soap11.FaultString

Packages that use FaultString
Package
Description
org.opensaml.soap.soap11
XMLObject interfaces for SOAP 1.1 elements.
org.opensaml.soap.soap11.impl
Provided implementations of the SOAP 1.1 XMLObject interfaces.

## Uses of FaultString in org.opensaml.soap.soap11

Methods in org.opensaml.soap.soap11 that return FaultString
Modifier and Type
Method
Description
`FaultString`
Fault.`getMessage()`
Gets the fault string for this fault.
Methods in org.opensaml.soap.soap11 with parameters of type FaultString
Modifier and Type
Method
Description
`void`
Fault.`setMessage(FaultString newMessage)`
Sets the fault string for this fault.

## Uses of FaultString in org.opensaml.soap.soap11.impl

Classes in org.opensaml.soap.soap11.impl that implement FaultString
Modifier and Type
Class
Description
`class`
`FaultStringImpl`
Concrete implemenation of `FaultString`.
Fields in org.opensaml.soap.soap11.impl declared as FaultString
Modifier and Type
Field
Description
`private FaultString`
FaultImpl.`message`
Fault message.
Methods in org.opensaml.soap.soap11.impl that return FaultString
Modifier and Type
Method
Description
`FaultString`
FaultStringBuilder.`buildObject()`
Builds a SOAPObject using the default name and namespace information provided SOAP specifications.
`FaultString`
FaultStringBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`FaultString`
FaultImpl.`getMessage()`
Gets the fault string for this fault.
Methods in org.opensaml.soap.soap11.impl with parameters of type FaultString
Modifier and Type
Method
Description
`void`
FaultImpl.`setMessage(FaultString newMessage)`
Sets the fault string for this fault.